Skip navigation
CristalKnight
Currently Being Moderated

Elements won't open, what should I do?

May 13, 2013 10:39 PM

Tags: #help #elements

I bought Photoshop Elements 3.0 in early 2008 and used it ever since. It was working pretty well until today when I wanted to open it and received this message:

 

"Could not complete your request because of missing or invalid personalization information."

 

I have used it on an iMac intel 10.5.8 and now passed it on my macbook pro 10.6.8 and had no problem using it. Until it did this today.

 

I have no idea why it did it, I tried several times to uninstall and reinstall it but nothing works.

 

Help me please.

 
Replies
  • Currently Being Moderated
    May 14, 2013 5:07 AM   in reply to CristalKnight

    Sorry, it's done. PSE 3 really stopped being compatible with OS X in 10.5, but it would kind of work if it was already installed. It's totally incompatible with 10.6. PSE 6 is the oldest version that will work reliably in 10.6.

     
    |
    Mark as:

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points